Bandwidth Control
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getBandwidthCtrl | GET | Get bandwidth control |
| modifyBandwidthCtrl | PATCH | Modify bandwidth control |
| getGridBandwidthCtrlRule | GET | Get bandwidth control rule list |
| modifyBandwidthCtrlRuleIndex | PATCH | Modify bandwidth control rule index |
| createBandwidthCtrlRule | POST | Create bandwidth control rule |
| deleteBandwidthCtrlRule | DELETE | Delete bandwidth control rule |
| modifyBandwidthCtrlRule | PATCH | Modify bandwidth control rule |
getBandwidthCtrl
GET /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control
Get bandwidth control
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getBandwidthCtrl",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get bandwidth control.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only
modifyBandwidthCtrl
PATCH /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control
Modify bandwidth control
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BandwidthControl
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Enable the bandwidth control. |
thresholdControlEnable | boolean | no | Enable the threshold control of the bandwidth control. |
thresholdValue | integer | no | Threshold value should be within the range of 1–100. Threshold value must be entered when threshold control is enable. |
bandwidthPortSettings | array<BandwidthPortSetting> | no | Bandwidth port settings of the bandwidth control. |
// omada_call_operation
{
"operationId": "modifyBandwidthCtrl",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify bandwidth control.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
getGridBandwidthCtrlRule
GET /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules
Get bandwidth control rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridBandwidthCtrlRule",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get bandwidth control rule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only
modifyBandwidthCtrlRuleIndex
PATCH /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules
Modify bandwidth control rule index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema TransmissionDragSortIndexOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyBandwidthCtrlRuleIndex",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify bandwidth control rule index.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
createBandwidthCtrlRule
POST /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules
Create bandwidth control rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BandwidthControlRule
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the bandwidth control rule. |
name | string | yes | Name should contain 1 to 64 characters. |
index | integer | no | Index of the bandwidth control rule. |
status | boolean | yes | Status of the bandwidth control rule. |
sourceType | integer | no | Source type should be a value as follows: 0: network; 1: IP group. |
sourceIds | array<string> | yes | Source IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface. |
wanPortIds | array<string> | yes | WAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface. |
upstreamBandwidth | integer | yes | Upstream bandwidth should be within the range of 1–9999999. |
upstreamBandwidthUnit | integer | yes | Upstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
downstreamBandwidth | integer | yes | Downstream bandwidth should be within the range of 1–9999999. |
downstreamBandwidthUnit | integer | yes | Downstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
mode | integer | yes | Mode should be a value as follows: 0: share; 1: individual. |
// omada_call_operation
{
"operationId": "createBandwidthCtrlRule",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create bandwidth control rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
deleteBandwidthCtrlRule
DELETE /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules/{ruleId}
Delete bandwidth control rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ruleId | path | string | yes | Bandwidth control rule ID |
// omada_call_operation
{
"operationId": "deleteBandwidthCtrlRule",
"params": {
"siteId": "<siteId>",
"ruleId": "<ruleId>"
}
}Details, permissions and error codes
Delete bandwidth control rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
modifyBandwidthCtrlRule
PATCH /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules/{ruleId}
Modify bandwidth control rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ruleId | path | string | yes | Bandwidth control rule ID |
Request body — application/json (required) — schema BandwidthControlRule
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the bandwidth control rule. |
name | string | yes | Name should contain 1 to 64 characters. |
index | integer | no | Index of the bandwidth control rule. |
status | boolean | yes | Status of the bandwidth control rule. |
sourceType | integer | no | Source type should be a value as follows: 0: network; 1: IP group. |
sourceIds | array<string> | yes | Source IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface. |
wanPortIds | array<string> | yes | WAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface. |
upstreamBandwidth | integer | yes | Upstream bandwidth should be within the range of 1–9999999. |
upstreamBandwidthUnit | integer | yes | Upstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
downstreamBandwidth | integer | yes | Downstream bandwidth should be within the range of 1–9999999. |
downstreamBandwidthUnit | integer | yes | Downstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
mode | integer | yes | Mode should be a value as follows: 0: share; 1: individual. |
// omada_call_operation
{
"operationId": "modifyBandwidthCtrlRule",
"params": {
"siteId": "<siteId>",
"ruleId": "<ruleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify bandwidth control rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.